Package org.jfree.layouting.input.style.parser.stylehandler

## Class ListOfConstantsReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.ListOfConstantsReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`
  Direct Known Subclasses:
    `BackgroundAttachmentReadHandler`, `BackgroundClipReadHandler`, `BackgroundOriginReadHandler`, `KerningModeReadHandler`, `TextAutoSpaceReadHandler`

      public abstract class ListOfConstantsReadHandler
      extends ListOfValuesReadHandler

  Creation-Date: 26.11.2005, 19:16:43
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ListOfConstantsReadHandler​(boolean auto)` |
    `protected` | `ListOfConstantsReadHandler​(int maxCount, boolean auto, boolean distinct)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(CSSConstant constant)` |
    `boolean` | `isAutoAllowed​()` |
    `protected CSSValue` | `parseValue​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler

      `createValue, getMaxCount, isDistinctValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOfConstantsReadHandler

          protected ListOfConstantsReadHandler​(boolean auto)

    - #### ListOfConstantsReadHandler

          protected ListOfConstantsReadHandler​(int maxCount,
                                               boolean auto,
                                               boolean distinct)

  - ### Method Detail

    - #### addValue

          public void addValue​(CSSConstant constant)

    - #### parseValue

          protected CSSValue parseValue​(org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `parseValue` in class `ListOfValuesReadHandler`

    - #### isAutoAllowed

          public boolean isAutoAllowed​()